import { Sensor } from "./Sensor";
import { DataObject } from "../Types";
export declare class STSensor extends Sensor {
    private batterySensor;
    private temperatureSensor;
    private velocitySensor;
    constructor(devAddr?: string, mcuId?: string);
    setDevAddr(devAddr: string): void;
    setMcuId(mcuId: string): void;
    getData(delay?: number): Promise<(DataObject | DataObject[])[]>;
}
